OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class Correlation

    java.lang.Object
      org.opennms.web.eventconf.bobject.Correlation

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class Correlation
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing event configuration information as parsed from the eventconf.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Correlation`

Field Summary
`static int` `CORRELATION_PATH_DEFAULT_INDEX` Deprecated. The index into the CORRELATION_PATH_VALUES array indicating the default value of a new correlation.
`static java.lang.String[]` `CORRELATION_PATH_VALUES` Deprecated. The different path values for a correlation.
`static int` `CORRELATION_STATE_DEFAULT_INDEX` Deprecated. The index into the CORRELATION_STATE_VALUES array indicating the default state of a new correlation.
`static java.lang.String[]` `CORRELATION_STATE_VALUES` Deprecated. The different state values for a correlation.
`private java.lang.String` `m_cmax` Deprecated.
`private java.lang.String` `m_cmin` Deprecated.
`private java.lang.String` `m_ctime` Deprecated.
`private java.util.List` `m_cuei` Deprecated.
`private java.lang.String` `m_path` Deprecated.
`private java.lang.String` `m_state` Deprecated.

Constructor Summary
`Correlation()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`void` `addCorrelationUEI(java.lang.String uei)` Deprecated.
`java.lang.Object` `clone()` Deprecated.
`java.lang.String` `getCorrelationMax()` Deprecated.
`java.lang.String` `getCorrelationMin()` Deprecated.
`java.lang.String` `getCorrelationPath()` Deprecated.
`java.lang.String` `getCorrelationTime()` Deprecated.
`java.util.List` `getCorrelationUEIs()` Deprecated.
`java.lang.String` `getState()` Deprecated.
`void` `setCorrelationMax(java.lang.String cmax)` Deprecated.
`void` `setCorrelationMin(java.lang.String cmin)` Deprecated.
`void` `setCorrelationPath(java.lang.String path)` Deprecated.
`void` `setCorrelationTime(java.lang.String ctime)` Deprecated.
`void` `setState(java.lang.String state)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORRELATION_PATH_VALUES

    public static final java.lang.String[] CORRELATION_PATH_VALUES

  Deprecated.
  The different path values for a correlation. If this array changes please update the CORRELATION_PATH_DEFAULT_INDEX member if needed.

### CORRELATION_PATH_DEFAULT_INDEX

    public static final int CORRELATION_PATH_DEFAULT_INDEX

  Deprecated.
  The index into the CORRELATION_PATH_VALUES array indicating the default value of a new correlation. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### CORRELATION_STATE_VALUES

    public static final java.lang.String[] CORRELATION_STATE_VALUES

  Deprecated.
  The different state values for a correlation. If this array changes please update the CORRELATION_STATE_DEFAULT_INDEX member if needed.

### CORRELATION_STATE_DEFAULT_INDEX

    public static final int CORRELATION_STATE_DEFAULT_INDEX

  Deprecated.
  The index into the CORRELATION_STATE_VALUES array indicating the default state of a new correlation. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### m_cuei

    private java.util.List m_cuei

  Deprecated.

### m_cmin

    private java.lang.String m_cmin

  Deprecated.

### m_cmax

    private java.lang.String m_cmax

  Deprecated.

### m_ctime

    private java.lang.String m_ctime

  Deprecated.

### m_path

    private java.lang.String m_path

  Deprecated.

### m_state

    private java.lang.String m_state

  Deprecated.

Constructor Detail

### Correlation

    public Correlation()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### addCorrelationUEI

    public void addCorrelationUEI(java.lang.String uei)

  Deprecated.

### getCorrelationUEIs

    public java.util.List getCorrelationUEIs()

  Deprecated.

### setCorrelationMin

    public void setCorrelationMin(java.lang.String cmin)

  Deprecated.

### getCorrelationMin

    public java.lang.String getCorrelationMin()

  Deprecated.

### setCorrelationMax

    public void setCorrelationMax(java.lang.String cmax)

  Deprecated.

### getCorrelationMax

    public java.lang.String getCorrelationMax()

  Deprecated.

### setCorrelationTime

    public void setCorrelationTime(java.lang.String ctime)

  Deprecated.

### getCorrelationTime

    public java.lang.String getCorrelationTime()

  Deprecated.

### setCorrelationPath

    public void setCorrelationPath(java.lang.String path)

  Deprecated.

### setState

    public void setState(java.lang.String state)

  Deprecated.

### getCorrelationPath

    public java.lang.String getCorrelationPath()

  Deprecated.

### getState

    public java.lang.String getState()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.